> For the complete documentation index, see [llms.txt](https://docs.coresignal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coresignal.com/mcp/coresignal-mcp.md).

# Coresignal MCP

**Coresignal MCP** is a server that connects Coresignal's data directly with LLM-powered applications and allows AI assistants to tap into Coresignal’s data. By integrating it with Claude, Cursor, and other MCP-compatible AI assistant tools, you can access the latest [Multi-source Company API](/company-api/multi-source-company-api.md), [Multi-source Employee API](/employee-api/multi-source-employee-api.md), and [Base Jobs API](/jobs-api/base-jobs-api.md) information directly within chat interfaces.

## Prerequisites

To connect to the remote Coresignal MCP server using `mcp-remote` you need to have [Node.js](https://nodejs.org/en/download) installed.

{% hint style="info" %}
We recommend using Node.js v24 for optimal compatibility and performance with Coresignal MCP. Node.js v24 is the version we validate and support to ensure a smooth setup experience.
{% endhint %}

Credits for requests performed through the MCP server will also be deducted from the same credit balance.

## Integration with AI assistants

Learn integration steps for a few AI assistant tools.

{% hint style="warning" %}
Enter your API Key as the `<api_key>` value. Get your key from Coresignal's [self-service platform](https://dashboard.coresignal.com/sign-in).

Do not forget to refresh the tool after the integration steps.
{% endhint %}

### Claude Desktop

To set up your Claude Desktop assistant, add this entry to your claude\_desktop\_config.json file:

{% code title="Access" %}

```json
{
    "mcpServers": {
        "coresignal_data_api": {
            "command": "npx",
            "args": [
                "mcp-remote",
                "https://mcp.coresignal.com/mcp",
                "--header",
                "apikey:${AUTH_HEADER}"
            ],
            "env": {
                "AUTH_HEADER": "<api_key>"
            }
        }
    }
}
```

{% endcode %}

### Cursor

Cursor has integrated support for MCP servers:

1. Go to: Cursor > Settings > Cursor Settings > MCP
2. Click on the `Add new global MCP server` button
3. Add the following configuration:

{% code title="Access" %}

```json
{
    "mcpServers": {
        "coresignal_data_api": {
            "command": "npx",
            "args": [
                "mcp-remote",
                "https://mcp.coresignal.com/mcp",
                "--header",
                "apikey:${AUTH_HEADER}"
            ],
            "env": {
                "AUTH_HEADER": "<api_key>"
            }
        }
    }
}
```

{% endcode %}

## Available tools

The Coresignal MCP server gives access to several API data entities:

* **coresignal\_company\_multisource\_api** – data from Multi-source Company API
* **coresignal\_employee\_multisource\_api** – data from Multi-source Employee API
* **coresignal\_job\_api** – data from Base Job API

## Usage example

Below is an example of how you can use Coresignal MCP:

> \[*Example request*]
>
> **Get 5 IT companies in Austin.**<br>
>
> \[*Example answer*]
>
> Here are 5 IT companies in Austin, TX:\
> 1\. Bazaarvoice - Software Development company with 1,744 employees\
> 2\. Upland BA Insight - AI-enablement platform with 39 employees\
> 3\. Blue Goji - Health Tech company with 54 employees\
> 4\. Bloomfire - Knowledge Management Software with 79 employees\
> 5\. Brightpearl by Sage - Software Development company with 135 employees


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/mcp/coresignal-mcp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
